RasterRect(3U)

NAME
RasterRect - structured graphic displaying a raster image

SYNOPSIS
#include <Unidraw/Graphic/rasterrect.h>

DESCRIPTION
A RasterRect is a Graphic that displays a raster image defined by a Raster object. With no transformation, the raster will be drawn with its lower-left corner at the origin.

PUBLIC OPERATIONS

RasterRect(Raster*, Graphic* = nil)
    Construct a RasterRect, supplying a Raster object and an optional graphic from which to obtain an initial transformation. The RasterRect references the given graphic.

Raster* GetOriginal()
    Return the raster that defines the image that the RasterRect displays.

SEE ALSO
Graphic(3U), Raster(3I)